Equity Holdings owned by a trading account

​

Query Parameters

  • Signed 32-bit integers (commonly used integer type).

Responses

  • application/json
Request Example for get/connect-data/equityholdings/v1
curl 'https://api.uat.openbroker.io/connect-data/equityholdings/v1?includeZeroHoldings=false&securityType=0'
[
  {
    "organisationCode": "TPOMAL",
    "accountNumber": "111888",
    "advisorCode": "ADV1",
    "branchCode": "01",
    "securityCode": "BHP",
    "securityDescription": "BHP GROUP LIMITED ORDINARY FULLY PAID",
    "marketCode": "ASX",
    "currency": "AUD",
    "isin": "AU000000BHP4",
    "totalHolding": 1000,
    "averageCost": 45.12,
    "totalCost": 45120,
    "costValue": 45120,
    "averageCost_AUD": 45.12,
    "costValue_AUD": 45120,
    "marketPrice": 48.21,
    "marketValue": 48210,
    "marketPriceDate": "2025-06-11",
    "unsettledBuyCnotes": 200,
    "unsettledSellCnotes": 0,
    "openSellOrders": 0,
    "available": 800,
    "collateral": 0,
    "takeover": 0,
    "international": false
  }
]